Jump to content

# Reflector (Français)

From ArchWiki
État de la traduction: Cet article est la version francophone de Reflector. Date de la dernière traduction: 2024-01-16. Vous pouvez aider à synchroniser la traduction s'il y a eu des changements dans la version anglaise.

Related articles

- Mirrors (Français)
- pacman (Français)

Reflector est un script Python qui peut récupérer la dernière liste de miroirs sur la page Arch Linux Mirror Status, filtrer les miroirs les plus récents, les trier par vitesse et écraser le fichier `/etc/pacman.d/mirrorlist`.

## Installation

Installez le paquet reflector.

## Utilisation

Attention

- Dans les exemples suivants, `/etc/pacman.d/mirrorlist` sera écrasé. Faites une sauvegarde avant de continuer.
- Assurez-vous que la `/etc/pacman.d/mirrorlist` résultante ne contient pas d'entrées que vous considérez comme non fiables avant de synchroniser ou de mettre à jour avec pacman.

Pour consulter toutes les options disponibles, exécutez la commande suivante :

    $ reflector --help

### Exemples

Consultez reflector(1) § EXAMPLES. Les exemples écrasant `/etc/pacman.d/mirrorlist` doivent être exécutés en tant que root.

Astuce Pour inclure les serveurs du monde entier, passez une chaîne vide dans le paramètre du pays. Par exemple, pour inclure les miroirs de France, d'Allemagne et du monde entier, il faut utiliser `--country 'France,Germany,'`.[1]

## Automatisation

### Service systemd

Reflector est livré avec `reflector.service`. Le service exécutera reflector avec les paramètres spécifiés dans `/etc/xdg/reflector/reflector.conf`. Les options par défaut de ce fichier devraient servir de bon point de départ et d'exemple.

Par exemple, pour sélectionner les 5 miroirs les plus à jour de France et d'Allemagne qui prennent en charge HTTPS et écraser `/etc/pacman.d/mirrorlist`, utilisez

    /etc/xdg/reflector/reflector.conf

    --save /etc/pacman.d/mirrorlist
    --pays France,Allemagne
    --protocole https
    --latest 5

Activez `reflector.service` pour exécuter Reflector au démarrage. Pour l'exécuter immédiatement, démarrez le service.

Note `reflector.service` dépend d'un service d'attente réseau à configurer via network-online.target.

### Minuterie systemd

Reflector fournit un timer systemd. (`reflector.timer`) qui démarre le #Service systemd `reflector.service` chaque semaine. L'horaire peut être modifié en éditant `reflector.timer`.

Editez d'abord le fichier de configuration comme décrit dans #Service systemd. Après avoir mis à jour le fichier de configuration, démarrez et activez `reflector.timer`.

Pour rafraîchir la liste des miroirs avant la date prévue, démarrez `reflector.service`.

### Hook de pacman

pacman-mirrorlist n'est pas mis à jour régulièrement, invoquer reflector uniquement parce qu'un miroir dans une partie du globe a été ajouté ou supprimé n'est pas pertinent. Utilisez plutôt l'automatisation basée sur une minuterie. Si vous voulez que `mirrorlist.pacnew` ne soit pas installé du tout, utilisez `NoExtract` dans `pacman.conf`.

## Voir aussi

- Fil de discussion sur Reflector dans les forums Arch Linux.
- Page du projet en amont incluant le journal des modifications.

Category:

- Package management (Français)

Reflector (Français)
Add topic